> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# update setting



## OpenAPI

````yaml Smart-Contract put /updateGlobalSetting/{id}
openapi: 3.0.1
info:
  title: Smart-Contract
  description: Erc20
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/erc20
security:
  - default: []
paths:
  /updateGlobalSetting/{id}:
    put:
      tags:
        - Global Settings
      summary: update setting
      parameters:
        - name: tenantId
          in: header
          description: Tenant Id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSettingDto'
        required: true
      responses:
        '200':
          description: ''
      security:
        - default: []
components:
  schemas:
    UpdateSettingDto:
      required:
        - key
        - value
      type: object
      properties:
        key:
          type: string
        value:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````